INSERT INTO "SupplierClassificationSystemDO"("id",
	 "isActive",
	 "classificationSystemDefRef",
	 "supplierClassificationSystemName",
	 "supplierRef")
    SELECT nextval('"SupplierClassificationSystemDO_id_seq"'),
	 true,
	 1,
	 'Assortment System - inTRONICS', -- here
	 supplier.id
	 
from oms."SupplierDO" supplier where "internalSupplierName" IN (
'inTRONICS_florida_retailer', 'inTRONICS_florida_warehouse',
'inTRONICS_california_warehouse', 'inTRONICS_california_retailer', 
'inTRONICS_texas_warehouse', 'inTRONICS_texas_retailer');
	
INSERT INTO "SupplierClassificationElementDO"("id",
	 "supplierClassificationElementIdentifier",
	 "supplierClassificationElementName",
	 "parentElementRef",
	 "supplierClassificationSystemRef")
    SELECT nextval('"SupplierClassificationElementDO_id_seq"'),
	 'Dummy',
	 'Dummy',
	 null,
	 supplierClassificationSystemDORef.id	 
		from product."SupplierClassificationSystemDO" supplierClassificationSystemDORef where "supplierRef" IN 
			(select id FROM oms."SupplierDO"  where
				"internalSupplierName" IN (
				'inTRONICS_florida_retailer', 'inTRONICS_florida_warehouse',
				'inTRONICS_california_warehouse', 'inTRONICS_california_retailer', 
				'inTRONICS_texas_warehouse', 'inTRONICS_texas_retailer'
				)
			)
;

insert into "ClassificationElementDO"("id", "classificationSystemDefRef", "description", "elementName", "parentElementRef")
			select nextval('"ClassificationElementDO_id_seq"'),
				1,
				'inTRONICS_florida_retailer', 
				'inTRONICS_florida_retailer',
				 1 where 1 not in (select 1 from "ClassificationElementDO" where "elementName" = 'inTRONICS_florida_retailer');
 

insert into "ClassificationElement2SupplierClassificationElementDO"("id", "classificationElementRef", "supplierClassificationElementRef")
			select nextval('"ClassificationElement2SupplierClassificationElementDO_id_seq"'),
			currval('"ClassificationElementDO_id_seq"'),
			supplierClassificationSystemDORef.id	 
				from product."SupplierClassificationSystemDO" supplierClassificationSystemDORef where "supplierRef" IN 
				(select id FROM oms."SupplierDO"  where	"internalSupplierName" IN ('inTRONICS_florida_retailer'));

--#############################################################################################################################################

insert into "ClassificationElementDO"("id", "classificationSystemDefRef", "description", "elementName", "parentElementRef")
			select nextval('"ClassificationElementDO_id_seq"'),
				1,
				'inTRONICS_florida_warehouse', 
				'inTRONICS_florida_warehouse',
				 1 where 1 not in (select 1 from "ClassificationElementDO" where "elementName" = 'inTRONICS_florida_warehouse');
 

insert into "ClassificationElement2SupplierClassificationElementDO"("id", "classificationElementRef", "supplierClassificationElementRef")
			select nextval('"ClassificationElement2SupplierClassificationElementDO_id_seq"'),
			currval('"ClassificationElementDO_id_seq"'),
			supplierClassificationSystemDORef.id	 
				from product."SupplierClassificationSystemDO" supplierClassificationSystemDORef where "supplierRef" IN 
				(select id FROM oms."SupplierDO"  where	"internalSupplierName" IN ('inTRONICS_florida_warehouse'));
				
				
--#############################################################################################################################################

insert into "ClassificationElementDO"("id", "classificationSystemDefRef", "description", "elementName", "parentElementRef")
			select nextval('"ClassificationElementDO_id_seq"'),
				1,
				'inTRONICS_california_warehouse', 
				'inTRONICS_california_warehouse',
				 1 where 1 not in (select 1 from "ClassificationElementDO" where "elementName" = 'inTRONICS_california_warehouse');
 

insert into "ClassificationElement2SupplierClassificationElementDO"("id", "classificationElementRef", "supplierClassificationElementRef")
			select nextval('"ClassificationElement2SupplierClassificationElementDO_id_seq"'),
			currval('"ClassificationElementDO_id_seq"'),
			supplierClassificationSystemDORef.id	 
				from product."SupplierClassificationSystemDO" supplierClassificationSystemDORef where "supplierRef" IN 
				(select id FROM oms."SupplierDO"  where	"internalSupplierName" IN ('inTRONICS_california_warehouse'));
				
				
--#############################################################################################################################################

insert into "ClassificationElementDO"("id", "classificationSystemDefRef", "description", "elementName", "parentElementRef")
			select nextval('"ClassificationElementDO_id_seq"'),
				1,
				'inTRONICS_california_retailer', 
				'inTRONICS_california_retailer',
				 1 where 1 not in (select 1 from "ClassificationElementDO" where "elementName" = 'inTRONICS_california_retailer');
 

insert into "ClassificationElement2SupplierClassificationElementDO"("id", "classificationElementRef", "supplierClassificationElementRef")
			select nextval('"ClassificationElement2SupplierClassificationElementDO_id_seq"'),
			currval('"ClassificationElementDO_id_seq"'),
			supplierClassificationSystemDORef.id	 
				from product."SupplierClassificationSystemDO" supplierClassificationSystemDORef where "supplierRef" IN 
				(select id FROM oms."SupplierDO"  where	"internalSupplierName" IN ('inTRONICS_california_retailer'));
				
				
--#############################################################################################################################################

insert into "ClassificationElementDO"("id", "classificationSystemDefRef", "description", "elementName", "parentElementRef")
			select nextval('"ClassificationElementDO_id_seq"'),
				1,
				'inTRONICS_texas_warehouse', 
				'inTRONICS_texas_warehouse',
				 1 where 1 not in (select 1 from "ClassificationElementDO" where "elementName" = 'inTRONICS_texas_warehouse');
 

insert into "ClassificationElement2SupplierClassificationElementDO"("id", "classificationElementRef", "supplierClassificationElementRef")
			select nextval('"ClassificationElement2SupplierClassificationElementDO_id_seq"'),
			currval('"ClassificationElementDO_id_seq"'),
			supplierClassificationSystemDORef.id	 
				from product."SupplierClassificationSystemDO" supplierClassificationSystemDORef where "supplierRef" IN 
				(select id FROM oms."SupplierDO"  where	"internalSupplierName" IN ('inTRONICS_texas_warehouse'));
				
				
--#############################################################################################################################################

insert into "ClassificationElementDO"("id", "classificationSystemDefRef", "description", "elementName", "parentElementRef")
			select nextval('"ClassificationElementDO_id_seq"'),
				1,
				'inTRONICS_texas_retailer', 
				'inTRONICS_texas_retailer',
				 1 where 1 not in (select 1 from "ClassificationElementDO" where "elementName" = 'inTRONICS_texas_retailer');
 

insert into "ClassificationElement2SupplierClassificationElementDO"("id", "classificationElementRef", "supplierClassificationElementRef")
			select nextval('"ClassificationElement2SupplierClassificationElementDO_id_seq"'),
			currval('"ClassificationElementDO_id_seq"'),
			supplierClassificationSystemDORef.id	 
				from product."SupplierClassificationSystemDO" supplierClassificationSystemDORef where "supplierRef" IN 
				(select id FROM oms."SupplierDO"  where	"internalSupplierName" IN ('inTRONICS_texas_retailer'));
				
