<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<xslt:stylesheet xmlns:fn="http://www.w3.org/2005/xpath-functions"
	xmlns:date="http://exslt.org/dates-and-times" xmlns:str="http://exslt.org/strings"
	xmlns:xslt="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format"
	xmlns:xf="http://www.ecrion.com/xf/1.0" xmlns:xc="http://www.ecrion.com/2008/xc"
	xmlns:xfd="http://www.ecrion.com/xfd/1.0" xmlns:svg="http://www.w3.org/2000/svg"
	xmlns:msxsl="urn:schemas-microsoft-com:xslt" xmlns:ns="documents.bind.logic.bakery"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="2.0"
	extension-element-prefixes="date str" xmlns:barcode="http://barcode4j.krysalis.org/ns"
	exclude-result-prefixes="barcode fo svg">

	<xsl:decimal-format name="european" decimal-separator=',' grouping-separator='.' />

	<!-- Timestamp zu 2001/01/01 machen -->
	<xsl:template name="timestamp2YYYYmmdd">
		<xsl:param name="timestamp" />
		<xsl:value-of select="concat(substring($timestamp,1,4), '/', substring($timestamp,6,2), '/', substring($timestamp,9,2) )" />
	</xsl:template>
	
	<!--- die 0en nach dem Komma abschneiden -->
	<xsl:template name="trimStringTax">
		<xsl:param name="taxrate"/>
			 <xsl:choose>
				<xsl:when test="substring-after($taxrate,'.') = '00' ">
					<xsl:value-of select="substring-before($taxrate,'.')" />
				</xsl:when>
				<xsl:when test="substring-after($taxrate,',') = '00' ">
					<xsl:value-of select="substring-before($taxrate,',')" />
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="$taxrate" />
				</xsl:otherwise>
			</xsl:choose>
	</xsl:template>
	
	<xsl:template match="text()" name="split">
		<xsl:param name="ceo"/>
	  	<xsl:for-each select="fn:tokenize($ceo,'[,/]')">
	   		<fo:block><xsl:value-of select="."/></fo:block>
	  	</xsl:for-each>
	 </xsl:template>
	
<!-- ====================== CUSTOM VARIABLES ======================== -->
	<xsl:variable name="language">
		<xsl:if test="/ns:Documents/ns:OrderDocuments/ns:DocumentsList/ns:InvoiceCreditNote/ns:OrderProperties[@id='customer']/ns:Property[@key='correspondenceLanguage' and @value='nl']">
			<xsl:text>nl</xsl:text>
		</xsl:if>
	</xsl:variable>
    <xsl:variable name="orderrefernce">
		<xsl:if test="/ns:Documents/ns:OrderDocuments/ns:DocumentsList/ns:InvoiceCreditNote/ns:OrderProperties[@id='AttributeValues']/ns:Property[@key='orderrefernce']">
			<xsl:value-of select="/ns:Documents/ns:OrderDocuments/ns:DocumentsList/ns:InvoiceCreditNote/ns:OrderProperties[@id='AttributeValues']/ns:Property[@key='orderrefernce']/@value"/>
		</xsl:if>
	</xsl:variable>
		
<!-- ========================= ATTRIBUTE  =========================== -->
	<xsl:attribute-set name="Auszeichnung">
		<xsl:attribute name="font-family">Helvetica</xsl:attribute>
		<xsl:attribute name="font-style">normal</xsl:attribute>
		<xsl:attribute name="font-weight">bold</xsl:attribute>
		<xsl:attribute name="font-size">11.5pt</xsl:attribute>
		<xsl:attribute name="space-before.conditionality">discard</xsl:attribute>
	</xsl:attribute-set>
	<xsl:attribute-set name="Grundtext">
		<xsl:attribute name="font-family">Helvetica</xsl:attribute>
		<xsl:attribute name="font-style">normal</xsl:attribute>
		<xsl:attribute name="font-size">10.5pt</xsl:attribute>
		<xsl:attribute name="space-before.conditionality">discard</xsl:attribute>
	</xsl:attribute-set>
	<xsl:attribute-set name="KleineSchrift">
		<xsl:attribute name="font-family">Helvetica</xsl:attribute>
		<xsl:attribute name="font-style">normal</xsl:attribute>
		<xsl:attribute name="font-size">8.5pt</xsl:attribute>
		<xsl:attribute name="space-before.conditionality">discard</xsl:attribute>
	</xsl:attribute-set>
	<xsl:attribute-set name="KleinsteSchrift">
		<xsl:attribute name="font-family">Helvetica</xsl:attribute>
		<xsl:attribute name="font-style">normal</xsl:attribute>
		<xsl:attribute name="font-size">7.5pt</xsl:attribute>
		<xsl:attribute name="space-before.conditionality">discard</xsl:attribute>
	</xsl:attribute-set>
	<xsl:attribute-set name="table.cell.border.black.thin">
		<xsl:attribute name="border-style">solid</xsl:attribute>
		<xsl:attribute name="border-width">0.5pt</xsl:attribute>
		<xsl:attribute name="border-color">black</xsl:attribute>
		<xsl:attribute name="border-collapse">collapse</xsl:attribute>
	</xsl:attribute-set>
	<xsl:attribute-set name="table.cell.border.black.thick">
		<xsl:attribute name="border-style">solid</xsl:attribute>
		<xsl:attribute name="border-width">1pt</xsl:attribute>
		<xsl:attribute name="border-color">black</xsl:attribute>
		<xsl:attribute name="border-collapse">collapse</xsl:attribute>
	</xsl:attribute-set>
	
	<xslt:output method="xml" version="1.0" encoding="UTF-8" indent="yes"/>
	
	<!-- ========================= BEGIN ROOT TEMPLATE =========================== -->
	<xsl:template match="/">
		<fo:root>
			<!-- die benutzen Grafiken  -->
			<xsl:variable name="PICTURE" select="ns:Documents/@basePathImage" />
			<xsl:variable name="LOGO" select="'logo.png'" />
			
			<xsl:variable name="CAPITAL">
				<xsl:choose>
					<xsl:when test="/ns:Documents/ns:OrderDocuments/ns:DocumentsList/ns:InvoiceCreditNote/@invoiceType = 'invoice' ">
						<xsl:choose>
							<xsl:when test="$language = 'nl'">
								<xsl:text>FACTUUR</xsl:text>
							</xsl:when>
							<xsl:otherwise>
								<xsl:text>INVOICE</xsl:text>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:when>
					<xsl:otherwise>
						<xsl:choose>
							<xsl:when test="$language = 'nl'">
								<xsl:text>TEGOED</xsl:text>
							</xsl:when>
							<xsl:otherwise>
								<xsl:text>CREDIT</xsl:text>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:otherwise>
				</xsl:choose>			
			</xsl:variable>
			
			<xsl:variable name="VORZEICHEN">
				<xsl:choose>
					<xsl:when test="/ns:Documents/ns:OrderDocuments/ns:DocumentsList/ns:InvoiceCreditNote/@invoiceType = 'invoice' ">
						<xsl:text></xsl:text>
					</xsl:when>
					<xsl:otherwise>
						<xsl:text>-</xsl:text>
					</xsl:otherwise>
				</xsl:choose>			
			</xsl:variable>
			
			<xsl:variable name="FOOTER">
				<xsl:if test="/ns:Documents/ns:OrderDocuments/ns:DocumentsList/ns:InvoiceCreditNote/@invoiceType = 'invoice' ">
					<xsl:if test="/ns:Documents/ns:OrderDocuments/@paymentId = '3' ">
						<fo:block>
							<xsl:choose>
								<xsl:when test="$language = 'nl'">
									Uw betaling met creditcard is ontvangen.
								</xsl:when>
								<xsl:otherwise>
									The payment has been received via credit card.
								</xsl:otherwise>
							</xsl:choose>
						</fo:block>
					</xsl:if>
					<xsl:if test="/ns:Documents/ns:OrderDocuments/@paymentId = '5' or /ns:Documents/ns:OrderDocuments/@paymentId = '2' ">
						<fo:block>
							<xsl:choose>
								<xsl:when test="$language = 'nl'">
									Maak het totaalbedrag over onder vermelding van het factuurnummer.
								</xsl:when>
								<xsl:otherwise>
									Please remit the total amount stating the invoice number.
								</xsl:otherwise>
							</xsl:choose>
						</fo:block> 
					</xsl:if>
					<xsl:if test="/ns:Documents/ns:OrderDocuments/@paymentId = '10' ">
						<fo:block>
							<xsl:choose>
								<xsl:when test="$language = 'nl'">
									De betaling is ontvangen via PayPal.
								</xsl:when>
								<xsl:otherwise>
									The payment has been received via PayPal.
								</xsl:otherwise>
							</xsl:choose>
						</fo:block>
						<fo:block>
							<xsl:choose>
								<xsl:when test="$language = 'nl'">
									De bestelling zal in de komende dagen worden verzonden.
								</xsl:when>
								<xsl:otherwise>
									The order will be shipped within the next days.
								</xsl:otherwise>
							</xsl:choose>
						</fo:block>
					</xsl:if>
					<xsl:if test="/ns:Documents/ns:OrderDocuments/@paymentId = '30' ">
						<fo:block>
							<xsl:choose>
								<xsl:when test="$language = 'nl'">
									De betaling is ontvangen via iDEAL.
								</xsl:when>
								<xsl:otherwise>
									The payment has been received via iDEAL.
								</xsl:otherwise>
							</xsl:choose>
						</fo:block>
						<fo:block>
							<xsl:choose>
								<xsl:when test="$language = 'nl'">
									De bestelling zal in de komende dagen worden verzonden.
								</xsl:when>
								<xsl:otherwise>
									The order will be shipped within the next days.
								</xsl:otherwise>
							</xsl:choose>
						</fo:block>
					</xsl:if>
				</xsl:if>
				<xsl:if test="/ns:Documents/ns:OrderDocuments/ns:DocumentsList/ns:InvoiceCreditNote/@invoiceType = 'creditnote' ">
					<xsl:if test="/ns:Documents/ns:OrderDocuments/@paymentId = '3' ">
						<fo:block>
							<xsl:choose>
								<xsl:when test="$language = 'nl'">
									We zullen het totaalbedrag terugstorten op uw rekening.
								</xsl:when>
								<xsl:otherwise>
									We will refund the total amount and transfer it to your account.
								</xsl:otherwise>
							</xsl:choose>
						</fo:block>
					</xsl:if>
					<xsl:if test="/ns:Documents/ns:OrderDocuments/@paymentId = '5' or /ns:Documents/ns:OrderDocuments/@paymentId = '2' ">
						<fo:block>
							<xsl:choose>
								<xsl:when test="$language = 'nl'">
									Wanneer u de bestelling al betaald heeft, zullen we het totaalbedrag terugstorten op uw rekening.
								</xsl:when>
								<xsl:otherwise>
									If you have already paid for the order, we will refund the total amount and transfer it to your account.
								</xsl:otherwise>
							</xsl:choose>							
						</fo:block>
					</xsl:if>
					<xsl:if test="/ns:Documents/ns:OrderDocuments/@paymentId = '10' ">
						<fo:block>
							<xsl:choose>
								<xsl:when test="$language = 'nl'">
									We zullen het totaalbedrag terugstorten op uw rekening.
								</xsl:when>
								<xsl:otherwise>
									We will refund the total amount and transfer it to your account.
								</xsl:otherwise>
							</xsl:choose>	
						</fo:block>
					</xsl:if>
					<xsl:if test="/ns:Documents/ns:OrderDocuments/@paymentId = '30' ">
						<fo:block>
							<xsl:choose>
								<xsl:when test="$language = 'nl'">
									We zullen het totaalbedrag terugstorten op uw rekening.
								</xsl:when>
								<xsl:otherwise>
										We will refund the total amount and transfer it to your account.
								</xsl:otherwise>
							</xsl:choose>
						</fo:block>
					</xsl:if>
				</xsl:if>
			</xsl:variable>
			
			<xsl:variable name="COUNT">
				<xsl:for-each select="/ns:Documents/ns:OrderDocuments/ns:DocumentsList/ns:InvoiceCreditNote/ns:SalesPrices/ns:TaxPrices[@hasPosition='true']">
					<xsl:if test="position()=last()">
						<xsl:value-of select="position()"></xsl:value-of>
					</xsl:if>
				</xsl:for-each>
			</xsl:variable>
			
			<xsl:variable name="INVOICENUMBER">
				<xsl:value-of
					select="/ns:Documents/ns:OrderDocuments/ns:DocumentsList/ns:InvoiceCreditNote/@invoiceNo" />
			</xsl:variable>
			
			<!-- ========================= BEGIN MASTER-SET =========================== -->
			<fo:layout-master-set>
				<fo:simple-page-master master-name="erste" page-width="210mm" page-height="297mm" margin-left="15mm" margin-right="10mm" margin-top="10mm" margin-bottom="3mm">
					<fo:region-body region-name="xsl-region-body" margin-left="0mm" margin-right="0mm" margin-top="90mm" margin-bottom="30mm" />
					<fo:region-before region-name="kopfersteseite" extent="90mm"/>
					<fo:region-after region-name="footer" extent="22mm"/>
				</fo:simple-page-master>
				<fo:simple-page-master master-name="rest" page-width="210mm" page-height="297mm" margin-left="15mm" margin-right="10mm" margin-top="10mm" margin-bottom="3mm">
					<fo:region-body region-name="xsl-region-body" margin-left="0mm" margin-right="0mm" margin-top="50mm" margin-bottom="30mm"  />
					<fo:region-before region-name="kopfrestseiten" extent="50mm"/>
					<fo:region-after region-name="footer" extent="22mm"/>
				</fo:simple-page-master>
    
				<fo:page-sequence-master master-name="document">
					<fo:single-page-master-reference master-reference="erste"/>
					<fo:repeatable-page-master-reference master-reference="rest"/>
				</fo:page-sequence-master>
			</fo:layout-master-set>
			<!-- ========================= END MASTER-SET =========================== -->
			
			<!-- ========================= BEGIN PAGE-SEQUENCE INVOICE-CREDIT-NOTE-SEQUENCE =========================== -->
			<fo:page-sequence master-reference="document" initial-page-number="1" force-page-count="auto">
				<!-- ========================= BODY =========================== -->
				<fo:static-content flow-name="kopfersteseite">
					<fo:block>
						<fo:block-container border-width="1px">
							<fo:table table-layout="fixed" width="180mm">
								<fo:table-column column-width="135mm"></fo:table-column>
								<fo:table-column column-width="45mm" ></fo:table-column>
								<fo:table-body>
									<fo:table-row>
										<fo:table-cell>
											<!-- ========================= BARCODE =========================== -->
											<fo:block>
												<fo:instream-foreign-object>
													<barcode:barcode message="{$INVOICENUMBER}">
														<barcode:code128>
															<barcode:height>15mm</barcode:height>
															<barcode:module-width>0.4mm</barcode:module-width>
															<barcode:quiet-zone enabled="false"/>
															<barcode:human-readable>
																<barcode:placement>bottom</barcode:placement>
																<barcode:font-name>Helvetica</barcode:font-name>
																<barcode:font-size>7.5pt</barcode:font-size>
																<barcode:pattern>____ ____ ___</barcode:pattern>
																<barcode:display-start-stop>false</barcode:display-start-stop>
																<barcode:display-checksum>false</barcode:display-checksum>
															</barcode:human-readable>
														</barcode:code128>
													</barcode:barcode>
												</fo:instream-foreign-object>
											 </fo:block>
										</fo:table-cell>
										<fo:table-cell>
											<!-- ========================= LOGO =========================== -->
											<fo:block>
												<fo:external-graphic src="url({$PICTURE}{$LOGO})" content-height="100%" content-width="scale-to-fit" width="100%" scaling="uniform"></fo:external-graphic>
											</fo:block>
										</fo:table-cell>
									</fo:table-row>
								</fo:table-body>
							</fo:table>
							<fo:block padding-top="20mm">
								<xsl:call-template name="HEADER_1"/>
							</fo:block>
						</fo:block-container>
					</fo:block>
				</fo:static-content>
				
				<fo:static-content flow-name="kopfrestseiten">
					<fo:block>
						<fo:block-container border-width="1px">
							<fo:table table-layout="fixed" width="180mm">
								<fo:table-column column-width="135mm"></fo:table-column>
								<fo:table-column column-width="45mm" ></fo:table-column>
								<fo:table-body>
									<fo:table-row>
										<fo:table-cell>
											<fo:block></fo:block>
										</fo:table-cell>
										<fo:table-cell>
											<!-- ========================= LOGO =========================== -->
											<fo:block>
												<fo:external-graphic src="url({$PICTURE}{$LOGO})" content-height="100%" content-width="scale-to-fit" width="100%" scaling="uniform"></fo:external-graphic>
											</fo:block>
										</fo:table-cell>
									</fo:table-row>
								</fo:table-body>
							</fo:table>
							<!--	
							<fo:block padding-top="20mm">
								<xsl:call-template name="HEADER_2"/>
							</fo:block>
							-->
						</fo:block-container>	
					</fo:block>
				</fo:static-content>		
				
				<!-- Fusszeile enthaelt Impressum -->
				<fo:static-content flow-name="footer">
					<fo:block-container>
						<fo:table table-layout="fixed" width="180mm">
							<fo:table-column column-width="50mm"></fo:table-column>
							<fo:table-column column-width="90mm" ></fo:table-column>
							<fo:table-column column-width="40mm" ></fo:table-column>
							<fo:table-body>
								<fo:table-row>
									<fo:table-cell xsl:use-attribute-sets="KleinsteSchrift" display-align="after">
										<fo:block>INDI.nl</fo:block>
										<fo:block>Potklei 5, 9351 VS Leek.</fo:block>
										<fo:block>T: +31 (0)88 0666 000</fo:block>
										<fo:block>F: +31 (0)88 0666 099</fo:block>
										<fo:block>E: klantenservice@indi.nl I: www.indi.nl</fo:block>
									</fo:table-cell>

											<fo:table-cell xsl:use-attribute-sets="KleinsteSchrift" display-align="after">
												<fo:block>
													<xsl:choose>
														<xsl:when test="$language = 'nl'">
															Op alle aanbiedingen door, leveringen en verkopen van onze onderneming 
															en op de daaruit voortvloeiende overeenkomsten en totstandkoming daarvan, 
															zijn uitsluitend van toepassing onze "Algemene verkoopvoorwaarden". 
															Op uw verzoek wordt u kosteloos een exemplaar van deze voorwaarden toegezonden. 
															Deze voorwaarden kunnen voorts gedownload worden op www.INDI.nl
														</xsl:when>
														<xsl:otherwise>
															Our general terms and conditions apply to all offers, 
															deliveries and sales of our company, as well as the resulting 
															or related agreements. These terms and conditions can be downloaded 
															at www.INDI.nl. Upon request, we will send you a free copy of these 
															terms and conditions.
														</xsl:otherwise>
													</xsl:choose>
												</fo:block>
											</fo:table-cell>												

									<fo:table-cell xsl:use-attribute-sets="KleinsteSchrift" display-align="after">								
										<fo:block>Bank	: 5030.74.500</fo:block>
										<fo:block>IBAN	: NL47ABNA0503074500</fo:block>
										<fo:block>BIC	: ABNANL2A</fo:block>
										<fo:block>KvK	: 54166632</fo:block>
										<fo:block>BTW	: NL8512 04 430 B01</fo:block>
									</fo:table-cell>
								</fo:table-row>
							</fo:table-body>
						</fo:table>
					</fo:block-container>
				</fo:static-content>
					
				<!-- ========================= TABELLE =========================== -->
				<fo:flow flow-name="xsl-region-body">
					<!-- ========================= ARTIKEL UND PREISE =========================== -->
					<fo:table table-layout="fixed" width="180mm" border-width="0px" border-style="solid">
						<fo:table-column column-width="20mm"></fo:table-column>
						<fo:table-column column-width="90mm" ></fo:table-column>
						<fo:table-column column-width="20mm" ></fo:table-column>
						<fo:table-column column-width="10mm" ></fo:table-column>
						<fo:table-column column-width="20mm"></fo:table-column>
						<fo:table-column column-width="20mm" ></fo:table-column>
						<fo:table-header>
							<fo:table-row>
								<fo:table-cell number-columns-spanned="3">
									<fo:block xsl:use-attribute-sets="Auszeichnung">
										<xsl:copy-of select="$CAPITAL" />												
									</fo:block>
								</fo:table-cell>
								<fo:table-cell number-columns-spanned="3" text-align="right">
									<fo:block xsl:use-attribute-sets="KleinsteSchrift">
										<xsl:text>Page </xsl:text>
										<fo:page-number/>
										<xsl:text> of </xsl:text>
										<fo:page-number-citation ref-id="last-page"/> 											
									</fo:block>
								</fo:table-cell>
							</fo:table-row>
							<fo:table-row height="12mm">
								<fo:table-cell number-columns-spanned="6"><fo:block></fo:block></fo:table-cell>
							</fo:table-row>
							<!-- ========================= TABELLENÜBERSCHRIFT =========================== -->
							<fo:table-row>
								<fo:table-cell>
									<fo:block xsl:use-attribute-sets="KleineSchrift">
										<xsl:choose>
											<xsl:when test="$language = 'nl'">
												Aantal
											</xsl:when>
											<xsl:otherwise>
												Quantity
											</xsl:otherwise>
										</xsl:choose>
									</fo:block>
								</fo:table-cell>
								<fo:table-cell>
									<fo:block xsl:use-attribute-sets="KleineSchrift">
										<xsl:choose>
											<xsl:when test="$language = 'nl'">
												Product
											</xsl:when>
											<xsl:otherwise>
												Product
											</xsl:otherwise>
										</xsl:choose>
									</fo:block>
								</fo:table-cell>
								<fo:table-cell>
									<fo:block xsl:use-attribute-sets="KleineSchrift" text-align="right">
										<xsl:choose>
											<xsl:when test="$language = 'nl'">
												Prijs per product
											</xsl:when>
											<xsl:otherwise>
												Price per unit
											</xsl:otherwise>
										</xsl:choose>
									</fo:block>
								</fo:table-cell>
								<fo:table-cell>
									<fo:block xsl:use-attribute-sets="KleineSchrift" text-align="center"></fo:block>
								</fo:table-cell>
								<fo:table-cell>
									<fo:block xsl:use-attribute-sets="KleineSchrift" text-align="right">
										<xsl:choose>
											<xsl:when test="$language = 'nl'">
												Product totaal
											</xsl:when>
											<xsl:otherwise>
												Item total
											</xsl:otherwise>
										</xsl:choose>
									</fo:block>
								</fo:table-cell>
								<fo:table-cell>
									<fo:block xsl:use-attribute-sets="KleineSchrift" text-align="right">
										<xsl:choose>
											<xsl:when test="$language = 'nl'">
												BTW
											</xsl:when>
											<xsl:otherwise>
												VAT
											</xsl:otherwise>
										</xsl:choose>
									</fo:block>
								</fo:table-cell>
							</fo:table-row>
							<fo:table-row>
								<fo:table-cell number-columns-spanned="6">
									<fo:block space-before="15mm"> </fo:block>
								</fo:table-cell>
							</fo:table-row>
							<fo:table-row>
								<fo:table-cell number-columns-spanned="6">
									<fo:block xsl:use-attribute-sets="table.cell.border.black.thin"></fo:block>
								</fo:table-cell>
							</fo:table-row>
							<fo:table-row>
								<fo:table-cell number-columns-spanned="6">
									<fo:block space-before="15mm"> </fo:block>
								</fo:table-cell>
							</fo:table-row>
						</fo:table-header>
						<fo:table-body>
							<xsl:for-each select="/ns:Documents/ns:OrderDocuments/ns:DocumentsList/ns:InvoiceCreditNote/ns:InvoicePos">
								<!-- ========================= TABELLENINHALT =========================== -->
									<!-- ========================= NUR BEI GUTSCHRIFT Referenz auf Rechnung =========================== -->
									<xsl:if test="./@referenceInvoiceNo != '' and /ns:Documents/ns:OrderDocuments/ns:DocumentsList/ns:InvoiceCreditNote/@invoiceType = 'creditnote'" >
										<fo:table-row space-before="3mm"  keep-with-next="always">
											<fo:table-cell number-columns-spanned="6">
												<fo:block xsl:use-attribute-sets="KleinsteSchrift">
													<fo:inline>
														<xsl:value-of select="concat('Credit for invoice number ', ./@referenceInvoiceNo, ' placed on ')" />
														<xslt:call-template name="timestamp2YYYYmmdd">
															<xslt:with-param name="timestamp">
																<xslt:value-of select="./@referenceInvoiceDate" />
															</xslt:with-param>
														</xslt:call-template>
													</fo:inline>
												</fo:block>
											</fo:table-cell>
										</fo:table-row>
									</xsl:if>
									<!-- ========================= AUFZÄHLUNG ARTIKEL =========================== -->
								<fo:table-row space-before="5mm" keep-together.within-column="always">
									<fo:table-cell>
										<fo:block xsl:use-attribute-sets="KleineSchrift">
											<fo:inline>
												<xsl:copy-of select="$VORZEICHEN" />
                                                <xsl:choose>
                                                <xsl:when test="./ns:PositionProperties[@id='product']/ns:Property[@key='RecalculationFactor' and number(@value) and floor(@value) = @value]">
                                                    <xsl:value-of select="format-number(./@quantity div ./ns:PositionProperties[@id='product']/ns:Property[@key='RecalculationFactor']/@value, '#.##0,00###', 'european')" />
                                                </xsl:when>
                                                <xsl:otherwise>
                                                    <xsl:value-of select="./@quantity" />
                                                </xsl:otherwise>
                                                </xsl:choose>
                                                <xsl:if test="./ns:PositionProperties[@id='product']/ns:Property[@key='OriginalUnitName' and string(@value)]">
                                                    &#160;<xsl:value-of select="./ns:PositionProperties[@id='product']/ns:Property[@key='OriginalUnitName']/@value" />
                                                </xsl:if>
											</fo:inline>
										</fo:block>
									</fo:table-cell>
									<fo:table-cell>
										<fo:block xsl:use-attribute-sets="KleineSchrift">
											<fo:inline>
												<xslt:value-of select="./ns:Article/@name" />
											</fo:inline>
										</fo:block>
										<fo:block xsl:use-attribute-sets="KleinsteSchrift">
											<fo:inline>
												<xsl:if
													test="string(./ns:Article/@shopArticleNo)">Product ID <xsl:value-of select="./ns:Article/@shopArticleNo" />
												</xsl:if>
											</fo:inline>
										</fo:block>
									</fo:table-cell>
									<fo:table-cell>
										<fo:block xsl:use-attribute-sets="KleineSchrift" text-align="right">
											<fo:inline>
												€ <xsl:copy-of select="$VORZEICHEN" />
                                                <xsl:choose>
                                                <xsl:when test="./ns:PositionProperties[@id='product']/ns:Property[@key='RecalculationFactor' and number(@value) and floor(@value) = @value]">
                                                    <xsl:value-of select="format-number(./ns:SalesPricesPos/@salesItemNet * ./ns:PositionProperties[@id='product']/ns:Property[@key='RecalculationFactor']/@value, '#.##0,00###', 'european')" />
                                                </xsl:when>
                                                <xsl:otherwise>
                                                    <xsl:value-of select="format-number(./ns:SalesPricesPos/@salesItemNet, '#.##0,00###', 'european')" />
                                                </xsl:otherwise>
                                                </xsl:choose>
											</fo:inline>
										</fo:block>
									</fo:table-cell>
									<fo:table-cell number-columns-spanned="2">
										<fo:block xsl:use-attribute-sets="KleineSchrift" text-align="right">
											<fo:inline>
												€ <xsl:copy-of select="$VORZEICHEN" /><xsl:value-of select="format-number(./ns:SalesPricesPos/@salesPosNet, '#.##0,00', 'european')" />
											</fo:inline>
										</fo:block>
									</fo:table-cell>
									<fo:table-cell>
										<fo:block xsl:use-attribute-sets="KleineSchrift" text-align="right">
											<fo:inline>
												<xslt:call-template name="trimStringTax">
													<xslt:with-param name="taxrate">
														<xsl:value-of select="./ns:SalesPricesPos/@taxRate" />
													</xslt:with-param>
												</xslt:call-template>%
											</fo:inline>
										</fo:block>
									</fo:table-cell>
								</fo:table-row>
								<!-- ========================= NUR BEI GUTSCHRIFT Referenz auf Lieferung =========================== -->
									<xsl:if test="./@deliveryNoteNo != '' and /ns:Documents/ns:OrderDocuments/ns:DocumentsList/ns:InvoiceCreditNote/@invoiceType = 'creditnote'" >
										<fo:table-row space-after="5mm" space-before="5mm" keep-with-previous="always">
												<fo:table-cell number-columns-spanned="1" >
													<fo:block> </fo:block>
												</fo:table-cell>
												<fo:table-cell number-columns-spanned="5">
												<fo:block xsl:use-attribute-sets="KleinsteSchrift">
													<fo:inline>
														<xsl:value-of select="concat('Shipping notification: ', ./@deliveryNoteNo, ' from the ')" />
														<xslt:call-template name="timestamp2YYYYmmdd">
															<xslt:with-param name="timestamp">
																<xslt:value-of select="./@deliveryDate" />
															</xslt:with-param>
														</xslt:call-template>
													</fo:inline>
												</fo:block>
											</fo:table-cell>
										</fo:table-row>
									</xsl:if>
							</xsl:for-each>
							<!-- ========================= VERSANDKOSTEN ALS POSITION ========================= -->
							<!-- pruefe, ob ueberhaupt Versandkosten vorhanden sind -->
							<xsl:if test="/ns:Documents/ns:OrderDocuments/ns:DocumentsList/ns:InvoiceCreditNote/ns:SalesPrices/ns:ChargePrices">
								<!-- kleiner Abstand zu den Positionen -->
								<fo:table-row space-before="5mm" keep-together.within-column="always">
									<fo:table-cell number-columns-spanned="6">
										<fo:block xsl:use-attribute-sets="KleinsteSchrift"> </fo:block>
									</fo:table-cell>
								</fo:table-row>
								<!-- Schleife ueber die Versandkosten -->
								<xsl:for-each select="/ns:Documents/ns:OrderDocuments/ns:DocumentsList/ns:InvoiceCreditNote/ns:SalesPrices/ns:ChargePrices">
									<fo:table-row space-before="5mm" keep-together.within-column="always">
										<!-- Quantity hardcodiert immer 1 oder -1 -->
										<fo:table-cell>
											<fo:block xsl:use-attribute-sets="KleineSchrift">
												<fo:inline>
													<xsl:copy-of select="$VORZEICHEN" /><xsl:value-of select="1" />
												</fo:inline>
											</fo:block>
										</fo:table-cell>
										<!-- Name -->
										<fo:table-cell>
											<fo:block xsl:use-attribute-sets="KleineSchrift">
												<fo:inline>
													<xsl:choose>
														<xsl:when test="$language = 'nl'">
															Verzendkosten
														</xsl:when>
														<xsl:otherwise>
															Shipping cost
														</xsl:otherwise>
													</xsl:choose>
												</fo:inline>
											</fo:block>
										</fo:table-cell>
										<!-- Einzelpreis ist gleich Gesamtpreis -->
										<fo:table-cell>
											<fo:block xsl:use-attribute-sets="KleineSchrift" text-align="right">
												<fo:inline>
														€ <xsl:copy-of select="$VORZEICHEN" /><xsl:value-of select="format-number(./@salesSumNet, '#.##0,00', 'european')" />
												</fo:inline>
												</fo:block>
										</fo:table-cell>
										<!-- Gesamtpreis -->
										<fo:table-cell number-columns-spanned="2">
											<fo:block xsl:use-attribute-sets="KleineSchrift" text-align="right">
												<fo:inline>
													€ <xsl:copy-of select="$VORZEICHEN" /><xsl:value-of select="format-number(./@salesSumNet, '#.##0,00', 'european')" />
												</fo:inline>
											</fo:block>
										</fo:table-cell>
										<!-- Steuern -->
										<fo:table-cell>
											<fo:block xsl:use-attribute-sets="KleineSchrift" text-align="right">
												<fo:inline>
														<xslt:call-template name="trimStringTax">
														<xslt:with-param name="taxrate">
															<xsl:value-of select="./@taxRate" />
														</xslt:with-param>
													</xslt:call-template>%
												</fo:inline>
											</fo:block>
										</fo:table-cell>
									</fo:table-row>
								</xsl:for-each>
							</xsl:if>
							<!-- ========================= TABELLENINHALT ENDE =========================== -->
						
							<!-- ========================= GESAMTBETRAG =========================== -->
							<fo:table-row keep-with-previous="always">
								<fo:table-cell>
									<fo:block>
										<fo:table table-layout="fixed" width="180mm" keep-together="always">
											<fo:table-column column-width="35mm" ></fo:table-column>
											<fo:table-column column-width="29mm" ></fo:table-column>
											<fo:table-column column-width="1mm" ></fo:table-column>
											<fo:table-column column-width="25mm"></fo:table-column>
											<fo:table-column column-width="29mm" ></fo:table-column>
											<fo:table-column column-width="1mm" ></fo:table-column>
											<fo:table-column column-width="60mm" ></fo:table-column>
											<fo:table-body>
												<fo:table-row>
													<fo:table-cell number-columns-spanned="7" >
														<fo:block space-before="30mm"> </fo:block>
													</fo:table-cell>
												</fo:table-row>
												<fo:table-row>
													<fo:table-cell number-columns-spanned="7">
														<fo:block xsl:use-attribute-sets="table.cell.border.black.thick"></fo:block>
													</fo:table-cell>
												</fo:table-row>
												<fo:table-row>
													<fo:table-cell number-columns-spanned="7">
														<fo:block  space-before="15mm"> </fo:block>
													</fo:table-cell>
												</fo:table-row>
												<xsl:for-each select="/ns:Documents/ns:OrderDocuments/ns:DocumentsList/ns:InvoiceCreditNote/ns:SalesPrices/ns:TaxPrices[@hasPosition='true']">
													<!-- ========================= Steuer  =========================== -->
													<fo:table-row>
														<fo:table-cell>
															<fo:block xsl:use-attribute-sets="Grundtext">
																<fo:inline>
																	<xsl:choose>
																		<xsl:when test="$language = 'nl'">
																			Netto waarde
																		</xsl:when>
																		<xsl:otherwise>
																			Net value
																		</xsl:otherwise>
																	</xsl:choose>
																</fo:inline>
															</fo:block>
														</fo:table-cell>
														<fo:table-cell margin-right="5">
															<fo:block xsl:use-attribute-sets="Grundtext" text-align="right">
																<fo:inline>
																	€ <xsl:copy-of select="$VORZEICHEN" /><xsl:value-of select="format-number(./@positionSalesSumNet, '#.##0,00', 'european')" />
																</fo:inline>
															</fo:block>
														</fo:table-cell>
														<fo:table-cell border-end-style="solid" border-end-width="0.5pt">
															<fo:block xsl:use-attribute-sets="Grundtext"></fo:block>
														</fo:table-cell>
														<fo:table-cell margin-left="5">
															<fo:block xsl:use-attribute-sets="Grundtext">
																<xsl:choose>
																	<xsl:when test="$language = 'nl'">
																		BTW
																	</xsl:when>
																	<xsl:otherwise>
																		VAT
																	</xsl:otherwise>
																</xsl:choose>
																<xslt:call-template name="trimStringTax">
																	<xslt:with-param name="taxrate">
																		<xsl:value-of select="./@taxRate" />
																	</xslt:with-param>
																</xslt:call-template>%</fo:block>
														</fo:table-cell> 
														<fo:table-cell margin-right="5">
															<fo:block xsl:use-attribute-sets="Grundtext" text-align="right">
																<fo:inline>
																	€ <xsl:copy-of select="$VORZEICHEN" /><xsl:value-of select="format-number(./@positionSalesSumTax, '#.##0,00', 'european')" />
																</fo:inline>
															</fo:block>
														</fo:table-cell>
														<fo:table-cell>
															<fo:block xsl:use-attribute-sets="Grundtext" ></fo:block>
														</fo:table-cell>
														<xsl:if test="position()=1">
															<fo:table-cell>
																<xsl:attribute name="number-rows-spanned">
																	<xsl:copy-of select="$COUNT" />
																</xsl:attribute>
																<fo:block xsl:use-attribute-sets="Auszeichnung" text-align="right">
																	<fo:inline>
																	<xsl:choose>
																		<xsl:when test="$language = 'nl'">
																			Totaal bedrag 
																		</xsl:when>
																		<xsl:otherwise>
																			Total Amount 
																		</xsl:otherwise>
																	</xsl:choose>
																	€ <xsl:copy-of select="$VORZEICHEN" /><xsl:value-of select="format-number(./../@salesSumGross, '#.##0,00', 'european')" />
																	</fo:inline>
																</fo:block>
															</fo:table-cell>
														</xsl:if>
													</fo:table-row>
												</xsl:for-each>
					<xsl:for-each select="/ns:Documents/ns:OrderDocuments/ns:DocumentsList/ns:InvoiceCreditNote/ns:SalesPrices/ns:Coupons">
													<!-- ========================= Coupons  =========================== -->
													<xsl:choose>
													<xsl:when test="not(./@percentageValue)">
													<fo:table-row space-before="3mm">
															<fo:table-cell>
																<fo:block xsl:use-attribute-sets="Grundtext">
																	<xsl:choose>
																		<xsl:when test="$language = 'nl'">
																			Korting
																		</xsl:when>
																		<xsl:otherwise>
																			Reduction
																		</xsl:otherwise>
																	</xsl:choose>
																</fo:block>
															</fo:table-cell>
															<fo:table-cell margin-right="5">
																<fo:block xsl:use-attribute-sets="Grundtext" text-align="right">
																	<fo:inline>
																		€ <xsl:value-of select="format-number(./@salesSumNet, '#.##0,00', 'european')" />
																	</fo:inline>
																</fo:block>
															</fo:table-cell>
															<fo:table-cell border-end-style="solid" border-end-width="0.5pt">
																<fo:block xsl:use-attribute-sets="Grundtext"></fo:block>
															</fo:table-cell>
														</fo:table-row>
														</xsl:when>
														<xsl:otherwise>
														<fo:table-row space-before="3mm">
															<fo:table-cell>
																<fo:block xsl:use-attribute-sets="Grundtext">
																	<xsl:choose>
																		<xsl:when test="$language = 'nl'">
																			Korting 
																		</xsl:when>
																		<xsl:otherwise>
																			Reduction
																		</xsl:otherwise>
																	</xsl:choose>
																</fo:block>
															</fo:table-cell> 
															<fo:table-cell margin-right="5">
																<fo:block xsl:use-attribute-sets="Grundtext" text-align="right">
																	<fo:inline>
																		<xslt:call-template name="trimStringTax">
																			<xslt:with-param name="taxrate">
																				<xsl:value-of select="./@percentageValue" />
																			</xslt:with-param>
																		</xslt:call-template>%
																	</fo:inline>
																</fo:block>
															</fo:table-cell>
															<fo:table-cell border-end-style="solid" border-end-width="0.5pt">
																<fo:block xsl:use-attribute-sets="Grundtext" ></fo:block>
															</fo:table-cell>
															<fo:table-cell >
																<fo:block xsl:use-attribute-sets="Auszeichnung" text-align="right"></fo:block>
															</fo:table-cell>
														</fo:table-row>
														
													</xsl:otherwise>
													</xsl:choose>
													<fo:table-row>
														<fo:table-cell>
															<fo:block xsl:use-attribute-sets="Grundtext">
																<fo:inline>
																	<xsl:choose>
																		<xsl:when test="$language = 'nl'">
																			 = Netto waarde
																		</xsl:when>
																		<xsl:otherwise>
																			 = Net value
																		</xsl:otherwise>
																	</xsl:choose>
																</fo:inline>
															</fo:block>
														</fo:table-cell>
														<fo:table-cell margin-right="5">
															<fo:block xsl:use-attribute-sets="Grundtext" text-align="right">
																<fo:inline>
																	€ <xsl:copy-of select="$VORZEICHEN" /><xsl:value-of select="format-number(/ns:Documents/ns:OrderDocuments/ns:DocumentsList/ns:InvoiceCreditNote/ns:SalesPrices/@salesSumSubNet, '#.##0,00', 'european')" />
																</fo:inline>
															</fo:block>
														</fo:table-cell>
														<fo:table-cell border-end-style="solid" border-end-width="0.5pt">
															<fo:block xsl:use-attribute-sets="Grundtext"></fo:block>
														</fo:table-cell>
														<fo:table-cell margin-left="5">
															<fo:block xsl:use-attribute-sets="Grundtext">
																<xsl:choose>
																	<xsl:when test="$language = 'nl'">
																		BTW
																	</xsl:when>
																	<xsl:otherwise>
																		VAT
																	</xsl:otherwise>
																</xsl:choose>
															</fo:block>
														</fo:table-cell> 
														<fo:table-cell margin-right="5">
															<fo:block xsl:use-attribute-sets="Grundtext" text-align="right">
																<fo:inline>
																	€ <xsl:copy-of select="$VORZEICHEN" /><xsl:value-of select="format-number(/ns:Documents/ns:OrderDocuments/ns:DocumentsList/ns:InvoiceCreditNote/ns:SalesPrices/@salesSumSubTax, '#.##0,00', 'european')" />
																</fo:inline>
															</fo:block>
														</fo:table-cell>
														</fo:table-row>
												</xsl:for-each>
												
												<xsl:for-each select="/ns:Documents/ns:OrderDocuments/ns:DocumentsList/ns:InvoiceCreditNote/ns:SalesPrices/ns:ChargePrices[@type='tb.chargetype.deliverycharge']">
													<!-- ========================= Shipping  =========================== -->
													<fo:table-row space-before="3mm">
														<fo:table-cell>
															<fo:block xsl:use-attribute-sets="Grundtext">
																<fo:inline>
																	<xsl:choose>
																		<xsl:when test="$language = 'nl'">
																			Netto verzendkosten 
																		</xsl:when>
																		<xsl:otherwise>
																			Net shipping cost
																		</xsl:otherwise>
																	</xsl:choose>
																</fo:inline>
															</fo:block>
														</fo:table-cell>
														<fo:table-cell margin-right="5">
															<fo:block xsl:use-attribute-sets="Grundtext" text-align="right">
																<fo:inline>
																	€ <xsl:copy-of select="$VORZEICHEN" /><xsl:value-of select="format-number(./@salesSumNet, '#.##0,00', 'european')" />
																</fo:inline>
															</fo:block>
														</fo:table-cell>
														<fo:table-cell border-end-style="solid" border-end-width="0.5pt">
															<fo:block xsl:use-attribute-sets="Grundtext"></fo:block>
														</fo:table-cell>
														<fo:table-cell margin-left="5">
															<fo:block xsl:use-attribute-sets="Grundtext">
																<xsl:choose>
																	<xsl:when test="$language = 'nl'">
																		BTW 
																	</xsl:when>
																	<xsl:otherwise>
																		VAT
																	</xsl:otherwise>
																</xsl:choose>
																<xslt:call-template name="trimStringTax">
																	<xslt:with-param name="taxrate">
																		<xsl:value-of select="./@taxRate" />
																	</xslt:with-param>
																</xslt:call-template>%</fo:block>
														</fo:table-cell> 
														<fo:table-cell margin-right="5">
															<fo:block xsl:use-attribute-sets="Grundtext" text-align="right">
																<fo:inline>
																	€ <xsl:copy-of select="$VORZEICHEN" /><xsl:value-of select="format-number(./@salesSumTax, '#.##0,00', 'european')" />
																</fo:inline>
															</fo:block>
														</fo:table-cell>
														<fo:table-cell >
															<fo:block xsl:use-attribute-sets="Auszeichnung" text-align="right"></fo:block>
														</fo:table-cell>
													</fo:table-row>
												</xsl:for-each>
												<xsl:for-each select="/ns:Documents/ns:OrderDocuments/ns:DocumentsList/ns:InvoiceCreditNote/ns:SalesPrices/ns:ChargePrices[@type!='tb.chargetype.deliverycharge']">
													<!-- ========================= Charges  =========================== -->
													<fo:table-row space-before="3mm">
														<fo:table-cell>
															<fo:block xsl:use-attribute-sets="Grundtext">
																<fo:inline>
																	<xsl:choose>
																		<xsl:when test="$language = 'nl'">
																			Netto toeslag 
																		</xsl:when>
																		<xsl:otherwise>
																			Net surcharges
																		</xsl:otherwise>
																	</xsl:choose>
																</fo:inline>
															</fo:block>
														</fo:table-cell>
														<fo:table-cell margin-right="5">
															<fo:block xsl:use-attribute-sets="Grundtext" text-align="right">
																<fo:inline>
																	€ <xsl:copy-of select="$VORZEICHEN" /><xsl:value-of select="format-number(./@salesSumNet, '#.##0,00', 'european')" />
																</fo:inline>
															</fo:block>
														</fo:table-cell>
														<fo:table-cell border-end-style="solid" border-end-width="0.5pt">
															<fo:block xsl:use-attribute-sets="Grundtext"></fo:block>
														</fo:table-cell>
														<fo:table-cell margin-left="5">
															<fo:block xsl:use-attribute-sets="Grundtext">
																<xsl:choose>
																	<xsl:when test="$language = 'nl'">
																		BTW 
																	</xsl:when>
																	<xsl:otherwise>
																		VAT
																	</xsl:otherwise>
																</xsl:choose>
																<xslt:call-template name="trimStringTax">
																	<xslt:with-param name="taxrate">
																		<xsl:value-of select="./@taxRate" />
																	</xslt:with-param>
																</xslt:call-template>%</fo:block>
														</fo:table-cell> 
														<fo:table-cell margin-right="5">
															<fo:block xsl:use-attribute-sets="Grundtext" text-align="right">
																<fo:inline>
																	€ <xsl:copy-of select="$VORZEICHEN" /><xsl:value-of select="format-number(./@salesSumTax, '#.##0,00', 'european')" />
																</fo:inline>
															</fo:block>
														</fo:table-cell>
														<fo:table-cell >
															<fo:block xsl:use-attribute-sets="Auszeichnung" text-align="right"></fo:block>
														</fo:table-cell>
													</fo:table-row>
												</xsl:for-each>
												<!-- ========================= FOOTER  =========================== -->
												<fo:table-row>
													<fo:table-cell number-columns-spanned="7">
														<fo:block xsl:use-attribute-sets="Auszeichnung"> </fo:block>
													</fo:table-cell>
												</fo:table-row>
												<fo:table-row>
													<fo:table-cell number-columns-spanned="7">
														<fo:block xsl:use-attribute-sets="Auszeichnung"> </fo:block>
													</fo:table-cell>
												</fo:table-row>
												<fo:table-row>
													<fo:table-cell number-columns-spanned="7">
														<fo:block xsl:use-attribute-sets="Auszeichnung"> </fo:block>
													</fo:table-cell>
												</fo:table-row>
												<fo:table-row>
													<fo:table-cell number-columns-spanned="7">
														<fo:block xsl:use-attribute-sets="Grundtext">
															<fo:inline>
																<xsl:copy-of select="$FOOTER" />
															</fo:inline>
														</fo:block>
													</fo:table-cell>
												</fo:table-row>
											</fo:table-body>
										</fo:table>
									</fo:block>
								</fo:table-cell>
							</fo:table-row>
						</fo:table-body>
					</fo:table>
				<fo:block id="last-page"/>
				</fo:flow>	
			</fo:page-sequence>
		</fo:root>
	</xsl:template>
	
	<xsl:template name="HEADER_1">
		<fo:table table-layout="fixed"  width="100%">
			<fo:table-column column-width="95mm"></fo:table-column>
			<fo:table-column column-width="40mm" ></fo:table-column>
			<fo:table-column column-width="35mm" ></fo:table-column>
			<fo:table-body>
				<fo:table-row>
				<!-- ========================= Anschrift =========================== -->
					<fo:table-cell >
						<fo:block xsl:use-attribute-sets="Grundtext">
							<xsl:if
								test="string(/ns:Documents/ns:OrderDocuments/ns:DocumentsList/ns:InvoiceCreditNote/ns:InvoiceAddress/ns:Name/@salutation)">
									<xsl:value-of
										select="/ns:Documents/ns:OrderDocuments/ns:DocumentsList/ns:InvoiceCreditNote/ns:InvoiceAddress/ns:Name/@salutation" />
							</xsl:if>
						</fo:block>
						<fo:block xsl:use-attribute-sets="Grundtext">
							<xsl:if
								test="string(/ns:Documents/ns:OrderDocuments/ns:DocumentsList/ns:InvoiceCreditNote/ns:InvoiceAddress/ns:Name/@title)">
									<xsl:value-of
										select="concat(/ns:Documents/ns:OrderDocuments/ns:DocumentsList/ns:InvoiceCreditNote/ns:InvoiceAddress/ns:Name/@title, '  ')" />
							</xsl:if>
							<xsl:if
								test="string(/ns:Documents/ns:OrderDocuments/ns:DocumentsList/ns:InvoiceCreditNote/ns:InvoiceAddress/ns:Name/@firstName)">
								<xsl:value-of
										select="concat(/ns:Documents/ns:OrderDocuments/ns:DocumentsList/ns:InvoiceCreditNote/ns:InvoiceAddress/ns:Name/@firstName, '  ')" />
							</xsl:if>
							<xsl:if
								test="string(/ns:Documents/ns:OrderDocuments/ns:DocumentsList/ns:InvoiceCreditNote/ns:InvoiceAddress/ns:Name/@lastName)">
								<xsl:value-of
										select="concat(/ns:Documents/ns:OrderDocuments/ns:DocumentsList/ns:InvoiceCreditNote/ns:InvoiceAddress/ns:Name/@lastName, '  ')" />
							</xsl:if>
						</fo:block>
						<fo:block xsl:use-attribute-sets="Grundtext">
							<xsl:if
								test="string(/ns:Documents/ns:OrderDocuments/ns:DocumentsList/ns:InvoiceCreditNote/ns:InvoiceAddress/ns:Name/@companyName)">
									<xsl:value-of
										select="/ns:Documents/ns:OrderDocuments/ns:DocumentsList/ns:InvoiceCreditNote/ns:InvoiceAddress/ns:Name/@companyName" />
							</xsl:if>
						</fo:block>
						<fo:block xsl:use-attribute-sets="Grundtext">							
							<xsl:value-of select="/ns:Documents/ns:OrderDocuments/ns:DocumentsList/ns:InvoiceCreditNote/ns:InvoiceAddress/ns:Addition[1]" />
						</fo:block>
						<fo:block xsl:use-attribute-sets="Grundtext">
							<xsl:if
								test="string(/ns:Documents/ns:OrderDocuments/ns:DocumentsList/ns:InvoiceCreditNote/ns:InvoiceAddress/ns:Street)">
									<xsl:value-of
										select="concat(/ns:Documents/ns:OrderDocuments/ns:DocumentsList/ns:InvoiceCreditNote/ns:InvoiceAddress/ns:Street, '  ')" />
									<xsl:value-of
										select="/ns:Documents/ns:OrderDocuments/ns:DocumentsList/ns:InvoiceCreditNote/ns:InvoiceAddress/ns:HouseNumber" />
							</xsl:if>
						</fo:block>
						<fo:block space-before="5mm" xsl:use-attribute-sets="Grundtext">
							<xsl:if
								test="string(/ns:Documents/ns:OrderDocuments/ns:DocumentsList/ns:InvoiceCreditNote/ns:InvoiceAddress/ns:PostCode)">
									<xsl:value-of
										select="concat(/ns:Documents/ns:OrderDocuments/ns:DocumentsList/ns:InvoiceCreditNote/ns:InvoiceAddress/ns:PostCode, '  ')" />
							</xsl:if>
							<xsl:if
								test="string(/ns:Documents/ns:OrderDocuments/ns:DocumentsList/ns:InvoiceCreditNote/ns:InvoiceAddress/ns:City)">
									<xsl:value-of
										select="/ns:Documents/ns:OrderDocuments/ns:DocumentsList/ns:InvoiceCreditNote/ns:InvoiceAddress/ns:City" />
							</xsl:if>
						</fo:block>
					</fo:table-cell>
					<xsl:call-template name="HEADER_RIGHT"/>
				</fo:table-row>
			</fo:table-body>
		</fo:table>
	</xsl:template>
	
	<xsl:template name="HEADER_2">
		<fo:table table-layout="fixed"  width="100%" >
			<fo:table-column column-width="95mm"></fo:table-column>
			<fo:table-column column-width="40mm" ></fo:table-column>
			<fo:table-column column-width="35mm" ></fo:table-column>
			<fo:table-body>
				<fo:table-row>
					<fo:table-cell >
						<fo:block xsl:use-attribute-sets="Grundtext"></fo:block>
					</fo:table-cell>
					<xsl:call-template name="HEADER_RIGHT"/>
				</fo:table-row>
			</fo:table-body>
		</fo:table>
	</xsl:template>
	
	<xsl:template name="HEADER_RIGHT">
		<fo:table-cell >
			<fo:block xsl:use-attribute-sets="Auszeichnung">
				<xsl:choose>
						<xsl:when test="/ns:Documents/ns:OrderDocuments/ns:DocumentsList/ns:InvoiceCreditNote/@invoiceType = 'invoice' ">
							<xsl:choose>
								<xsl:when test="$language = 'nl'">
									Factuurnummer
								</xsl:when>
								<xsl:otherwise>
									Invoice number
								</xsl:otherwise>
							</xsl:choose>
						</xsl:when>
						<xsl:otherwise>
							<xsl:choose>
								<xsl:when test="$language = 'nl'">
									Bonnummer
								</xsl:when>
								<xsl:otherwise>
									Receipt number
								</xsl:otherwise>
							</xsl:choose>	
						</xsl:otherwise>
					</xsl:choose>
			</fo:block>

  			<xsl:if test="not(contains(/ns:Documents/ns:OrderDocuments/ns:DocumentsList/ns:InvoiceCreditNote/@debitorNo, 'unregistered'))">	
  				<xsl:choose>
					<xsl:when test="$language = 'nl'">
						<fo:block xsl:use-attribute-sets="Grundtext">Klantnummer</fo:block>
					</xsl:when>
					<xsl:otherwise>
						<fo:block xsl:use-attribute-sets="Grundtext">Customer number</fo:block>
					</xsl:otherwise>
				</xsl:choose>
  			</xsl:if>
  		
			<fo:block xsl:use-attribute-sets="Grundtext">
				<xsl:choose>
					<xsl:when test="$language = 'nl'">
						Bestelnummer
					</xsl:when>
					<xsl:otherwise>
						Order number
					</xsl:otherwise>
				</xsl:choose>
			</fo:block>
			<fo:block xsl:use-attribute-sets="Grundtext">
				<xsl:choose>
					<xsl:when test="/ns:Documents/ns:OrderDocuments/ns:DocumentsList/ns:InvoiceCreditNote/@invoiceType = 'invoice' ">
						<xsl:choose>
							<xsl:when test="$language = 'nl'">
								Factuurdatum
							</xsl:when>
							<xsl:otherwise>
								Date of invoice
							</xsl:otherwise>
						</xsl:choose>						
					</xsl:when>
					<xsl:otherwise>
						<xsl:choose>
							<xsl:when test="$language = 'nl'">
								Datum bon
							</xsl:when>
							<xsl:otherwise>
								Date of receipt
							</xsl:otherwise>
						</xsl:choose>	
					</xsl:otherwise>
				</xsl:choose>	
			</fo:block>

			<fo:block xsl:use-attribute-sets="Grundtext">
				<xsl:if test="string(/ns:Documents/ns:OrderDocuments/ns:DocumentsList/ns:InvoiceCreditNote/@deliveryDate)">
					<xsl:choose>
						<xsl:when test="$language = 'nl'">
							Bezorgdatum product
						</xsl:when>
						<xsl:otherwise>
							Product Delivery Date
						</xsl:otherwise>
					</xsl:choose>	
				</xsl:if>
			</fo:block>
            
            <fo:block xsl:use-attribute-sets="Grundtext">
				<xsl:if test="$orderrefernce != ''">
					<xsl:choose>
						<xsl:when test="$language = 'nl'">
							Uw referentie
						</xsl:when>
						<xsl:otherwise>
							Reference
						</xsl:otherwise>
					</xsl:choose>	
				</xsl:if>
			</fo:block>
		</fo:table-cell>
		<fo:table-cell>
			<fo:block xsl:use-attribute-sets="Auszeichnung">
					<xsl:value-of select="concat(/ns:Documents/ns:OrderDocuments/ns:DocumentsList/ns:InvoiceCreditNote/@invoiceNo,'&#160;')" />
			</fo:block>
  			<xsl:if test="not(contains(/ns:Documents/ns:OrderDocuments/ns:DocumentsList/ns:InvoiceCreditNote/@debitorNo, 'unregistered'))">	
				<fo:block xsl:use-attribute-sets="Grundtext">
					<xsl:value-of select="concat(/ns:Documents/ns:OrderDocuments/ns:DocumentsList/ns:InvoiceCreditNote/@debitorNo,'&#160;')" />
				</fo:block>
  			</xsl:if>			
			<fo:block xsl:use-attribute-sets="Grundtext">
					<xsl:value-of select="concat(/ns:Documents/ns:OrderDocuments/ns:ShopData/@orderNo,'&#160;')" />
			</fo:block>
			<fo:block xsl:use-attribute-sets="Grundtext">
				<xsl:if
					test="string(/ns:Documents/ns:OrderDocuments/ns:DocumentsList/ns:InvoiceCreditNote/@invoiceDate)">
					<fo:inline>
						<xslt:call-template name="timestamp2YYYYmmdd">
							<xslt:with-param name="timestamp">
								<xslt:value-of
									select="/ns:Documents/ns:OrderDocuments/ns:DocumentsList/ns:InvoiceCreditNote/@invoiceDate" />
							</xslt:with-param>
						</xslt:call-template>
					</fo:inline>
				</xsl:if>
			</fo:block>
			<fo:block xsl:use-attribute-sets="Grundtext">
				<xsl:if
					test="string(/ns:Documents/ns:OrderDocuments/ns:DocumentsList/ns:InvoiceCreditNote/@deliveryDate)">
					<fo:inline>
						<xslt:call-template name="timestamp2YYYYmmdd">
							<xslt:with-param name="timestamp">
								<xslt:value-of
									select="/ns:Documents/ns:OrderDocuments/ns:DocumentsList/ns:InvoiceCreditNote/@deliveryDate" />
							</xslt:with-param>
						</xslt:call-template>
					</fo:inline>
				</xsl:if>
			</fo:block>
            <fo:block xsl:use-attribute-sets="Grundtext">
				<xsl:if
					test="$orderrefernce != ''">
					<fo:inline>
						<xslt:value-of select="$orderrefernce"/>
					</fo:inline>
				</xsl:if>
			</fo:block>
		</fo:table-cell>
	</xsl:template>
	
</xslt:stylesheet>
